DDFFieldDefinition.DataStructCode (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.iso8211
Class DDFFieldDefinition.DataStructCode

    java.lang.Object
      com.bbn.openmap.dataAccess.iso8211.DDFFieldDefinition.DataStructCode

Enclosing class:
  DDFFieldDefinition

    public static class DDFFieldDefinition.DataStructCode

extends java.lang.Object

Field Summary
`static DDFFieldDefinition.DataStructCode` | `ARRAY`
`static DDFFieldDefinition.DataStructCode` | `CONCATENATED`
`static DDFFieldDefinition.DataStructCode` | `ELEMENTARY`
`static DDFFieldDefinition.DataStructCode` | `VECTOR`

Constructor Summary
`DDFFieldDefinition.DataStructCode(char structCode, java.lang.String name)`

Method Summary
`static DDFFieldDefinition.DataStructCode` | `get(char c)`
`char` | `getCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENTARY

    public static final DDFFieldDefinition.DataStructCode ELEMENTARY

### VECTOR

    public static final DDFFieldDefinition.DataStructCode VECTOR

### ARRAY

    public static final DDFFieldDefinition.DataStructCode ARRAY

### CONCATENATED

    public static final DDFFieldDefinition.DataStructCode CONCATENATED

Constructor Detail

### DDFFieldDefinition.DataStructCode

    public DDFFieldDefinition.DataStructCode(char structCode,
                                             java.lang.String name)

Method Detail

### getCode

    public char getCode()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### get

    public static DDFFieldDefinition.DataStructCode get(char c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details